# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/cogvm_scripts/pharo-build/cog/build

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/cogvm_scripts/pharo-build/cog/build

# Include any dependencies generated for this target.
include ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/depend.make

# Include the progress variables for this target.
include ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/progress.make

# Include the compile flags for this target's objects.
include ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/flags.make

ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o: ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/flags.make
ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o: /root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c
	$(CMAKE_COMMAND) -E cmake_progress_report /root/cogvm_scripts/pharo-build/cog/build/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building C object ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o"
	cd /root/cogvm_scripts/pharo-build/cog/build/ImmX11Plugin && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -o CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o   -c /root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c

ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.i"
	cd /root/cogvm_scripts/pharo-build/cog/build/ImmX11Plugin && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -E /root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c > CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.i

ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.s"
	cd /root/cogvm_scripts/pharo-build/cog/build/ImmX11Plugin && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -S /root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c -o CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.s

ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o.requires:
.PHONY : ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o.requires

ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o.provides: ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o.requires
	$(MAKE) -f ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/build.make ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o.provides.build
.PHONY : ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o.provides

ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o.provides.build: ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o

# Object files for target ImmX11Plugin
ImmX11Plugin_OBJECTS = \
"CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o"

# External object files for target ImmX11Plugin
ImmX11Plugin_EXTERNAL_OBJECTS =

/root/cogvm_scripts/pharo-build/cog/results/libImmX11Plugin.so: ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o
/root/cogvm_scripts/pharo-build/cog/results/libImmX11Plugin.so: ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/build.make
/root/cogvm_scripts/pharo-build/cog/results/libImmX11Plugin.so: ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking C shared library /root/cogvm_scripts/pharo-build/cog/results/libImmX11Plugin.so"
	cd /root/cogvm_scripts/pharo-build/cog/build/ImmX11Plugin && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/ImmX11Plugin.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/build: /root/cogvm_scripts/pharo-build/cog/results/libImmX11Plugin.so
.PHONY : ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/build

ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/requires: ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/root/cogvm_scripts/pharo-build/cog/src/plugins/ImmX11Plugin/ImmX11Plugin.c.o.requires
.PHONY : ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/requires

ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/clean:
	cd /root/cogvm_scripts/pharo-build/cog/build/ImmX11Plugin && $(CMAKE_COMMAND) -P CMakeFiles/ImmX11Plugin.dir/cmake_clean.cmake
.PHONY : ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/clean

ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/depend:
	cd /root/cogvm_scripts/pharo-build/cog/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /root/cogvm_scripts/pharo-build/cog/build /root/cogvm_scripts/pharo-build/cog/build/ImmX11Plugin /root/cogvm_scripts/pharo-build/cog/build /root/cogvm_scripts/pharo-build/cog/build/ImmX11Plugin /root/cogvm_scripts/pharo-build/cog/build/ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : ImmX11Plugin/CMakeFiles/ImmX11Plugin.dir/depend

